Subject: Re: Stainless steel forging

From: chris Hubbard <[email-masked]>
Date: Sat, 27 Jan 1996 12:51:47 -0600

I am rather new at the forge so I thought you "experts" out there might be
able to answer a question.  Is it possible to forge stainless steel and if
so where can you get it?  We have all seen the "forged" stainless steel
flatware in the houseware catalogues.  Is this stuff real (i.e. forged) and
if so how tough would it be for me to do the same thing?  Chris Hubbard